#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ECommentDeleteReason {
    Invalid = 0,
    User = 1,
    ThreadOwner = 2,
    Moderator = 3,
    Support = 4,
    Spam = 5,
    AccountDeletion = 6,
}

impl ECommentDeleteReason {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Invalid as i32 => Some(Self::Invalid),
            x if x == Self::User as i32 => Some(Self::User),
            x if x == Self::ThreadOwner as i32 => Some(Self::ThreadOwner),
            x if x == Self::Moderator as i32 => Some(Self::Moderator),
            x if x == Self::Support as i32 => Some(Self::Support),
            x if x == Self::Spam as i32 => Some(Self::Spam),
            x if x == Self::AccountDeletion as i32 => Some(Self::AccountDeletion),
            _ => None,
        }
    }
}
